ClasspathUtils (Axis API)
Keywords: org.apache.axis.utils.ClasspathUtils class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.utils
Class ClasspathUtils

    java.lang.Object
      org.apache.axis.utils.ClasspathUtils

public class ClasspathUtils
extends java.lang.Object

Utility class for constructing the classpath

Constructor Summary
`ClasspathUtils()`

Method Summary
`static java.lang.String` | `expandDirs(java.lang.String dirPaths)` Expand a directory path or list of directory paths (File.pathSeparator delimited) into a list of file paths of all the jar files in those directories.
`static java.lang.String` | `getDefaultClasspath(MessageContext msgContext)` Get the default classpath from various thingies in the message context
`static boolean` | `isJar(java.io.InputStream is)` Check if this inputstream is a jar/zip

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClasspathUtils

    public ClasspathUtils()

Method Detail

### expandDirs

    public static java.lang.String expandDirs(java.lang.String dirPaths)

  Expand a directory path or list of directory paths (File.pathSeparator delimited) into a list of file paths of all the jar files in those directories.

  Parameters:
    `dirPaths` - The string containing the directory path or list of directory paths.
  Returns:
    The file paths of the jar files in the directories. This is an empty string if no files were found, and is terminated by an additional pathSeparator in all other cases.

### isJar

    public static boolean isJar(java.io.InputStream is)

  Check if this inputstream is a jar/zip

  Parameters:
    `is` -
  Returns:
    true if inputstream is a jar

### getDefaultClasspath

    public static java.lang.String getDefaultClasspath(MessageContext msgContext)

  Get the default classpath from various thingies in the message context

  Parameters:
    `msgContext` -
  Returns:
    default classpath

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.